How to make Surface Grid???

How to make Surface Grid???
I made the surface with Geom_BSplineSurface. And Display using TopoDS_Face & AIS_Shape. The code is following,

Handle (Geom_BSplineSurface) BSpline = new Geom_BSplineSurface(Poles,UKnots,VKnots,UMults,VMults,UDegree,VDegree);
TopoDS_Face WhiteFace = BRepBuilderAPI_MakeFace(BSpline);

Handle(AIS_Shape) white = new AIS_Shape(WhiteFace);
myAISContext->SetMaterial(white,Graphic3d_NOM_CHROME,Standard_False);
myAISContext->SetTransparency(white,0.0)
myAISContext->Display(white,Standard_False);

The displayed Surface has 2*2 grid. How to this grid extend like 10*5??

Stephane Routelous's picture

Hi,

I assume you are speaking of the Iso lines.

Handle_AIS_Drawer aDrawer = anAISObject->Attributes();
Handle_Prs3d_IsoAspect anIsoAspect = aDrawer->UIsoAspect();
anIsoAspect->SetNumber(anIsoNumber);
aDrawer->SetUIsoAspect(anIsoAspect);
anAISObject->SetAttributes(aDrawer);

HTH,

Stephane

Y. B. Kim's picture

thaks. I will try.